org.springframework.data.jdbc.core.convert

## Class JdbcCustomConversions

- java.lang.Object
- - org.springframework.data.convert.CustomConversions
  - - org.springframework.data.jdbc.core.convert.JdbcCustomConversions

    public class JdbcCustomConversions
    extends CustomConversions

Value object to capture custom conversion. `JdbcCustomConversions` also act as factory for `SimpleTypeHolder`

Author:
  Mark Paluch, Jens Schauder
See Also:
  `CustomConversions`, `SimpleTypeHolder`, `JdbcSimpleTypes`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.springframework.data.convert.CustomConversions

`CustomConversions.ConverterConfiguration, CustomConversions.ConverterRegistrationIntent, CustomConversions.StoreConversions`

### Constructor Summary

Constructors
Constructor and Description
`JdbcCustomConversions()` Creates an empty `JdbcCustomConversions` object.
`JdbcCustomConversions(CustomConversions.ConverterConfiguration converterConfiguration)` Create a new `JdbcCustomConversions` instance given `CustomConversions.ConverterConfiguration`.
`JdbcCustomConversions(List<?> converters)` Create a new `JdbcCustomConversions` instance registering the given converters.

### Method Summary

### Methods inherited from class org.springframework.data.convert.CustomConversions

`getCustomWriteTarget, getCustomWriteTarget, getSimpleTypeHolder, hasCustomReadTarget, hasCustomWriteTarget, hasCustomWriteTarget, isSimpleType, registerConvertersIn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcCustomConversions

    public JdbcCustomConversions()

Creates an empty `JdbcCustomConversions` object.

#### JdbcCustomConversions

    public JdbcCustomConversions(List<?> converters)

Create a new `JdbcCustomConversions` instance registering the given converters.

Parameters:
  `converters` - must not be null.

#### JdbcCustomConversions

    public JdbcCustomConversions(CustomConversions.ConverterConfiguration converterConfiguration)

Create a new `JdbcCustomConversions` instance given `CustomConversions.ConverterConfiguration`.

Parameters:
  `converterConfiguration` - must not be null.
Since:
  2.2